org.eclipse.jgit.internal.storage.pack

## Class StoredObjectRepresentation

- java.lang.Object
- - org.eclipse.jgit.internal.storage.pack.StoredObjectRepresentation

    public class StoredObjectRepresentation
    extends Object

An object representation `PackWriter` can consider for packing.

### Field Summary

Fields
`static int` `FORMAT_OTHER` Only available after inflating to canonical format.
`static int` `PACK_DELTA` Stored in pack format, as a delta to another object.
`static int` `PACK_WHOLE` Stored in pack format, without delta.
`static int` `WEIGHT_UNKNOWN` Special unknown value for `getWeight()`.

### Constructor Summary

Constructors
Constructor and Description
`StoredObjectRepresentation()`

### Method Summary

Methods
`ObjectId` `getDeltaBase()`
`int` `getFormat()`
`int` `getWeight()`
`boolean` `wasDeltaAttempted()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### WEIGHT_UNKNOWN

    public static final int WEIGHT_UNKNOWN

Special unknown value for `getWeight()`.

See Also:
  Constant Field Values

#### PACK_DELTA

    public static final int PACK_DELTA

Stored in pack format, as a delta to another object.

See Also:
  Constant Field Values

#### PACK_WHOLE

    public static final int PACK_WHOLE

Stored in pack format, without delta.

See Also:
  Constant Field Values

#### FORMAT_OTHER

    public static final int FORMAT_OTHER

Only available after inflating to canonical format.

See Also:
  Constant Field Values

### Constructor Detail

#### StoredObjectRepresentation

    public StoredObjectRepresentation()

### Method Detail

#### getWeight

    public int getWeight()

Returns:
  relative size of this object's packed form. The special value `WEIGHT_UNKNOWN` can be returned to indicate the implementation doesn't know, or cannot supply the weight up front.

#### getFormat

    public int getFormat()

Returns:
  the storage format type, which must be one of `PACK_DELTA`, `PACK_WHOLE`, or `FORMAT_OTHER`.

#### getDeltaBase

    public ObjectId getDeltaBase()

Returns:
  identity of the object this delta applies to in order to recover the original object content. This method should only be called if `getFormat()` returned `PACK_DELTA`.

#### wasDeltaAttempted

    public boolean wasDeltaAttempted()

Returns:
  whether the current representation of the object has had delta compression attempted on it.